<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/subsystem/io_daemon/ctl_term.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>03/20/85 ctl_term
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>Syntax as a command:  ctl_term arg
<span id="L4" class="LineNr"> 4 </span>
<span id="L5" class="LineNr"> 5 </span>
<span id="L6" class="LineNr"> 6 </span>Function:  applies only to a control terminal <span class="textRainbow_lv0_p0">(</span>if attached<span class="textRainbow_lv0_p0">)</span>.  It allows
<span id="L7" class="LineNr"> 7 </span>the operator to specify the format of printed output.
<span id="L8" class="LineNr"> 8 </span>
<span id="L9" class="LineNr"> 9 </span>One of the primary functions of the control terminal is to print
<span id="L10" class="LineNr">10 </span>information about each request processed, to aid in separating the
<span id="L11" class="LineNr">11 </span>output, and to ensure proper accountability of output generated by the
<span id="L12" class="LineNr">12 </span>driver.  It is possible for the site to use preprinted forms for this
<span id="L13" class="LineNr">13 </span>purpose.  <span class="textRainbow_lv0_p0">(</span>for information on preprinted forms<span class="textRainbow_lv0_o0">,</span> see the Multics System
<span id="L14" class="LineNr">14 </span>Maintenance Procedures manual<span class="textRainbow_lv0_o0">,</span> Order No.  AM81.<span class="textRainbow_lv0_p0">)</span>  In this case,
<span id="L15" class="LineNr">15 </span>alignment of the data on the form is very important.  Generally a
<span id="L16" class="LineNr">16 </span>terminal that supports vertical tab and form feed control characters is
<span id="L17" class="LineNr">17 </span>used to ensure alignment.  However, this command allows the operator to
<span id="L18" class="LineNr">18 </span>request that the software simulate the action of form feed control
<span id="L19" class="LineNr">19 </span>characters if the terminal does not provide this hardware support.
<span id="L20" class="LineNr">20 </span>
<span id="L21" class="LineNr">21 </span>
<span id="L22" class="LineNr">22 </span>Arguments:
<span id="L23" class="LineNr">23 </span>   where arg falls into one of two classes:  general control or
<span id="L24" class="LineNr">24 </span>   simulation control <span class="textRainbow_lv0_p0">(</span>some arguments require an additional value to
<span id="L25" class="LineNr">25 </span>   define the requested action<span class="textRainbow_lv0_p0">)</span>.
<span id="L26" class="LineNr">26 </span>
<span id="L27" class="LineNr">27 </span>   general control
<span id="L28" class="LineNr">28 </span>   form_type STR
<span id="L29" class="LineNr">29 </span>      specifies the format program to be used to format the data
<span id="L30" class="LineNr">30 </span>      printed on the control terminal.  If STR is &quot;default&quot;, the
<span id="L31" class="LineNr">31 </span>      form_type is set to the default format.
<span id="L32" class="LineNr">32 </span>   detach
<span id="L33" class="LineNr">33 </span>      discontinues the use of the control terminal.  This argument is
<span id="L34" class="LineNr">34 </span>      restricted to the master terminal and is not reversible unless
<span id="L35" class="LineNr">35 </span>      the reinit command is given.
<span id="L36" class="LineNr">36 </span>
<span id="L37" class="LineNr">37 </span>
<span id="L38" class="LineNr">38 </span>   simulation control
<span id="L39" class="LineNr">39 </span>   simulate
<span id="L40" class="LineNr">40 </span>      sets the driver to simulate form feeds by software.  <span class="textRainbow_lv0_p0">(</span>This
<span id="L41" class="LineNr">41 </span>      argument is not reversible even by the reinit command.<span class="textRainbow_lv0_p0">)</span>
<span id="L42" class="LineNr">42 </span>   page_length N
<span id="L43" class="LineNr">43 </span>      sets the number of lines per logical page to N.  This controls
<span id="L44" class="LineNr">44 </span>      the forward spacing needed to go to the top of the form.
<span id="L45" class="LineNr">45 </span>   aligned
<span id="L46" class="LineNr">46 </span>      indicates that the forms are aligned for the purpose of form feed
<span id="L47" class="LineNr">47 </span>      control.  <span class="textRainbow_lv0_p0">(</span>A sample form can be printed by the sample_form
<span id="L48" class="LineNr">48 </span>      command.<span class="textRainbow_lv0_p0">)</span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
